<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use App\Rules\ExistRule;
use EF;

class DesignationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
     public function rules()
    {

        EF::errorMessage('Required form validation.');
        
        $current_path = url()->current();

        if($current_path === url('designationcommit'))
        {
           return $this->storeDesignation();
        }

        elseif($current_path === url('designationupdate'))
        {
            return $this->updateDesignation();
        }
       
    }

    public function storeDesignation()
    {
      
        return [

             'title'                         =>  'required|min:1|max:50',
                   
          
        ];
    }

    public function updateDesignation()
    {
      
        return [

             'designation'                         =>  ['required', new ExistRule('designations','id')],
             'title'                               =>  'required|min:1|max:50',
             
             
             
          
        ];
    }

  
}
